package cn.hmsoft.ai.face;

import java.io.File;

/******************
 * 组维护
 *
 */
public abstract class FaceGroup {
	private static FaceGroup ai = null;

	public static FaceGroup instance() {
		if (ai == null) {
			synchronized (FaceGroup.class) {
				try {
					ai = FaceGroup.class.newInstance();
				} catch (InstantiationException | IllegalAccessException e) {
					e.printStackTrace();
				}
			}
		}
		return ai;
	}

	public String addFaceGroup(String groupId) {
		return addGroup(groupId);
	}

	protected abstract String addGroup(String groupIds);
}
